# Uses of Class
org.springframework.asm.ModuleVisitor

Packages that use ModuleVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).

## Uses of ModuleVisitor in org.springframework.asm

Fields in org.springframework.asm declared as ModuleVisitor
Modifier and Type
Field
Description
`protected ModuleVisitor`
ModuleVisitor.`mv`
The module visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return ModuleVisitor
Modifier and Type
Method
Description
`ModuleVisitor`
ClassVisitor.`visitModule(String name, int access, String version)`
Visit the module corresponding to the class.
`final ModuleVisitor`
ClassWriter.`visitModule(String name, int access, String version)`
Constructors in org.springframework.asm with parameters of type ModuleVisitor
Modifier
Constructor
Description
`protected`
`ModuleVisitor(int api, ModuleVisitor moduleVisitor)`
Constructs a new `ModuleVisitor`.